package com.m2pool.common.core.exception;

/**
 * @Description 工具类异常
 * @Date 2024/6/12 11:32
 * @Author dy
 */
public class UtilException extends RuntimeException
{
    private static final long serialVersionUID = 8247642119125313488L;

    public UtilException(Throwable e)
    {
        super(e.getMessage(), e);
    }

    public UtilException(String message)
    {
        super(message);
    }

    public UtilException(String message, Throwable throwable)
    {
        super(message, throwable);
    }
}